import os
import sys
sys.path.append("./build/")

import libjfxmap_python
ret = libjfxmap_python.add(3,4)
print(ret)

p_dir = "/home/oscar/ros/git/catkin_ws_xishan/src/jfx_traffic_events/thirdparty/jfxmap/"
f_path = "./maps/xishan/mapconfig.json"
is_ok = libjfxmap_python.InitMap(p_dir,f_path)
print(is_ok)


info = libjfxmap_python.GetMapData(31.5867973272,120.4137985087,262);

print(info.isInMap);
print(info.lOutRaodId);
print(info.nLaneCnt);
print(info.nOutLaneNum);
print(info.nOutLaneType);
print(info.dOutLaneAngle);
print(info.ptOutFoot_lat);
print(info.vctlOutPreRoadId);
print(info.vctlOutNxtRoadId);

